transformers-0.4.2.0: Concrete functor and monad transformers

Copyright | (c) Russell O'Connor 2009
License | BSD-style (see the file LICENSE)
Maintainer | libraries@haskell.org
Stability | experimental
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Data.Functor.Reverse

Description

Making functors whose elements are notionally in the reverse order from the original functor.

Synopsis

- newtype Reverse f a = Reverse {
  - getReverse :: f a
  }

# Documentation

newtype Reverse f a Source

The same functor, but with `Foldable` and `Traversable` instances that process the elements in the reverse order.

Constructors

Reverse |
Fields getReverse :: f a

Instances

Functor f => Functor (Reverse f) | Derived instance.
Applicative f => Applicative (Reverse f) | Derived instance.
Foldable f => Foldable (Reverse f) | Fold from right to left.
Traversable f => Traversable (Reverse f) | Traverse from right to left.
Alternative f => Alternative (Reverse f) | Derived instance.
Show1 f => Show1 (Reverse f) |
Read1 f => Read1 (Reverse f) |
Ord1 f => Ord1 (Reverse f) |
Eq1 f => Eq1 (Reverse f) |
(Eq1 f, Eq a) => Eq (Reverse f a) |
(Ord1 f, Ord a) => Ord (Reverse f a) |
(Read1 f, Read a) => Read (Reverse f a) |
(Show1 f, Show a) => Show (Reverse f a) |